Skip to main content
GET
/
users
/
self
Get user details
curl --request GET \
  --url https://api.identity.fabric.zone/ums/v2/users/self \
  --header 'Authorization: Bearer <token>'
{
  "id": "1234-1234-1234",
  "status": "active",
  "isStaffUserFederated": true,
  "loginId": "sdsdf232ew-123asdaa-1231231",
  "orgId": "123123-23wdd-123234",
  "email": "[email protected]",
  "primarycontact": "+1 650 333 4444",
  "firstName": "Test",
  "lastName": "User",
  "meta": {
    "fabricBirthDate": "28-20-2000"
  },
  "accounts": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

User Identity Object

User Self Details. For shoppers, accounts property will be empty.

id
string

User Id

Example:

"1234-1234-1234"

status
string

User Status

Example:

"active"

isStaffUserFederated
boolean

User Staff Federated

Example:

true

loginId
string

User Login Id

Example:

"sdsdf232ew-123asdaa-1231231"

orgId
string

User Organization Id

Example:

"123123-23wdd-123234"

email
string<email>

User Email Id

primarycontact
string

User Primary Contact

Example:

"+1 650 333 4444"

firstName
string

User First Name

Example:

"Test"

lastName
string

User Last Name

Example:

"User"

meta
object
Example:
{ "fabricBirthDate": "28-20-2000" }
accounts
object

User Accounts